# Credentials Broker Helm Chart

This directory contains the official VMware Helm chart for installing and configuring Credentials Broker on Kubernetes.

## Prerequisites

To use the charts here, [Helm](https://helm.sh/) must be configured for your Kubernetes cluster. Setting up Kubernetes
and Helm is outside the scope of this `README`. Please refer to the Kubernetes and Helm documentation.

The versions required are:

  * **Helm 3.6+**
  * **Kubernetes 1.16+** - This is the earliest version of Kubernetes tested. It is possible that this chart works with
    earlier versions but it is untested.

## Usage

To install the latest version of this chart, add the VMware helm repository and run `helm install`:

```console
$ helm repo add vmware-aria https://projects.registry.vmware.com/chartrepo/aria
"vmware-aria" has been added to your repositories

$ helm install aria-creds-broker vmware-aria/aria-creds-broker \
  --create-namespace \
  --namespace aria-creds-broker \
  --values ./path/to/values.yaml
```

Please see the many options supported in the `values.yaml` file.
